#ifndef __EEPROM_H
#define __EEPROM_H

/*
  Author:     Nima Askari
  WebSite:    http://www.github.com/NimaLTD
  Instagram:  http://instagram.com/github.NimaLTD
  Youtube:    https://www.youtube.com/channel/UCUhY7qY1klJm1d2kulr9ckw
  
  Version:    2.0.0
  
  Reversion History:
  (2.0.0)
  Rewrite again.

*/

#ifdef __cplusplus
 extern "C" {
#endif

#include <stdbool.h>
#include "gpio.h"

//################################################################################################################
bool      ee_init(void);
bool      ee_format(bool keepRamData);
bool      ee_read(uint32_t startVirtualAddress, uint32_t lenHalfWord, uint16_t* data);
bool      ee_write(uint32_t startVirtualAddress, uint32_t lenHalfWord, uint16_t* data);
bool      ee_writeToRam(uint32_t startVirtualAddress, uint32_t lenHalfWord, uint16_t* data);
bool      ee_writeRamToFlash(void);
uint32_t  ee_maxVirtualAddress(void);

//################################################################################################################

#ifdef __cplusplus
}
#endif

#endif
